Page MenuHomePhabricator

OOjs UI MenuToolGroup clipping breaks when scrolling
Closed, ResolvedPublic8 Estimate Story Points

Description

  1. Open VisualEditor
  2. Make the browser too short to show the whole formatting menu
  3. Open the formatting menu
  4. Scroll down
  5. Notice it scrolls erratically when you reach the bottom

Details

Event Timeline

TrevorParscal assigned this task to matmarex.
TrevorParscal raised the priority of this task from to Needs Triage.
TrevorParscal updated the task description. (Show Details)
TrevorParscal added a project: OOUI.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2015, 12:24 PM

Hmm, calling OO.ui.Element.static.reconsiderScrollbars() on anything causes the scroll position to be lost, and that's what causes the funny behavior here.

Change 210339 had a related patch set uploaded (by Bartosz Dziewoński):
Preserve scroll position in OO.ui.Element.static.reconsiderScrollbars

https://gerrit.wikimedia.org/r/210339

matmarex triaged this task as Medium priority.May 16 2015, 12:47 AM
Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.May 30 2015, 7:27 PM
Jdforrester-WMF closed this task as Resolved.Jun 3 2015, 9:06 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q4 blockers board.

Change 210339 merged by jenkins-bot:
Preserve scroll position in OO.ui.Element.static.reconsiderScrollbars

https://gerrit.wikimedia.org/r/210339

Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Jun 3 2015, 9:12 PM